# Uses of Interface
net.shibboleth.idp.ui.csrf.CSRFToken

Packages that use CSRFToken
Package
Description
net.shibboleth.idp.ui.csrf
APIs relating to cross-site request forgery mitigations.
net.shibboleth.idp.ui.csrf.impl
Implementation classes for cross-site request forgery mitigation.

## Uses of CSRFToken in net.shibboleth.idp.ui.csrf

Fields in net.shibboleth.idp.ui.csrf with type parameters of type CSRFToken
Modifier and Type
Field
Description
`private BiPredicate<CSRFToken,String>`
CSRFTokenManager.`csrfTokenValidationPredicate`
Predicate to validate the CSRF token.
Methods in net.shibboleth.idp.ui.csrf that return CSRFToken
Modifier and Type
Method
Description
`CSRFToken`
CSRFTokenManager.`generateCSRFToken()`
Generate a `CSRFToken` using the token generation strategy derived token value.
Methods in net.shibboleth.idp.ui.csrf with parameters of type CSRFToken
Modifier and Type
Method
Description
`boolean`
CSRFTokenManager.`isValidCSRFToken(CSRFToken csrfToken, String requestCsrfToken)`
Check the CSRF token matches the CSRF token in the request using the `csrfTokenValidationPredicate`.
`boolean`
CSRFTokenManager.DefaultCSRFTokenValidationPredicate.`test(CSRFToken csrfToken, String requestCSRFToken)`
Method parameters in net.shibboleth.idp.ui.csrf with type arguments of type CSRFToken
Modifier and Type
Method
Description
`void`
CSRFTokenManager.`setCsrfTokenValidationPredicate(BiPredicate<CSRFToken,String> tokenValidationPredicate)`
Set the CSRF token validation predicate.

## Uses of CSRFToken in net.shibboleth.idp.ui.csrf.impl

Classes in net.shibboleth.idp.ui.csrf.impl that implement CSRFToken
Modifier and Type
Class
Description
`class`
`SimpleCSRFToken`
A default, immutable, implementation of a `CSRFToken`.